# QAIP Docs ## Docs - [イントロダクション](https://developer.qaip.com/docs/introduction.md): QAIPは、組織内外に散在するWebページ・ファイル・クラウドドキュメントを安全に取り込み、検索・チャット・抽出で活用するためのプラットフォームです。RAGベースのチャット、ハイブリッド検索、スキーマに沿った構造化データ抽出、DuckDBエクスポートなどを提供し、SDK / API と各種連携でアプリケーションに組み込めます。 - [クイックスタート](https://developer.qaip.com/docs/quickstart.md): QAIPを使って10分でチャットボットを作成する - [データソースの概要](https://developer.qaip.com/docs/datasources/index.md): QAIPでは様々な形式のデータを取り込み、AIチャットや検索の知識ベースとして活用できます。データソースを適切に管理することで、より正確で関連性の高い回答を生成できるようになります。 - [クロール](https://developer.qaip.com/docs/datasources/crawl.md): QAIPでWebサイトをクロールしてコンテンツを取得 - [ローカルファイル](https://developer.qaip.com/docs/datasources/file.md): QAIPにPDF・Word・Excel・PowerPointなどのドキュメントファイルをアップロードする - [Google Drive](https://developer.qaip.com/docs/datasources/google-drive.md): QAIPでGoogle Driveのファイルを取り込む - [GitHub](https://developer.qaip.com/docs/datasources/github.md): QAIPにGitHubのドキュメントファイルを取り込む - [Notion](https://developer.qaip.com/docs/datasources/notion.md): QAIPとNotionワークスペースを連携してページを同期 - [Playgroundの概要](https://developer.qaip.com/docs/playground/index.md): PlaygroundはQAIPの機能をブラウザ上で簡単に試せる環境です。APIを使って実装する前に設定やパラメータを調整しながら実際の動作を確認できます。 - [チャット](https://developer.qaip.com/docs/playground/chat.md): QAIPのチャット機能は標準で検索拡張生成(RAG)を行います。データソースをある大きさのチャンクに分割し、ユーザーの質問に対して関連するチャンクを検索し、その内容を元に回答を生成します。 - [検索](https://developer.qaip.com/docs/playground/search.md): QAIPはデータソースをある大きさのチャンクに分割し、そのチャンクに対してセマンティック検索と全文検索によるハイブリッド検索を行います。Playgroundの検索機能は、チャットやデータ抽出で使用するデータソースが具体的にどのようにしてフィルタリングされ、検索されるかを確認するためのものです。 - [データ抽出](https://developer.qaip.com/docs/playground/extract.md): QAIPに取り込んだデータを検索し、任意のスキーマで抽出する - [DuckDBファイル](https://developer.qaip.com/docs/playground/duckdb.md): QAIPに取り込んだチャンクデータをDuckDBファイルとしてエクスポートする - [タグ](https://developer.qaip.com/docs/features/tag.md): タグ機能はQAIPに取り込んだコンテンツを分類・整理するための強力な機能です。タグを活用することで特定の情報源のみを参照した回答を生成できます。 - [スケジュール](https://developer.qaip.com/docs/features/schedule.md): QAIPのスケジュール機能は各データソースで設定したスケジュールの確認・削除ができます。 - [APIキー](https://developer.qaip.com/docs/features/apikey.md): QAIPのAPIキー管理機能はAPIに安全にアクセスするための認証情報です。外部アプリケーションやサービスからQAIPの機能を利用する際に必要となります。 - [シークレット](https://developer.qaip.com/docs/features/secrets.md): QAIPのシークレット管理機能はGoogleドライブ・GitHub・Notionのシークレットを安全に保存し、利用可能な状態にします。 - [キーワード](https://developer.qaip.com/docs/features/keyword.md): QAIPのキーワード機能は、完全一致で検索できるキーワードを定義できる機能です。これによりブランド名・製品名・技術用語などの重要なキーワードを含む情報を確実に検索し、回答の参考情報として含めることができます。 - [外部LLM送信前のマスキング](https://developer.qaip.com/docs/features/agent-redaction.md): エージェント実行で会話履歴と検索結果を外部LLMへ送る前に、版管理されたポリシーでマスキングします。 - [ドキュメント横断検索](https://developer.qaip.com/docs/use-cases/docs-retrieval.md): QAIPを活用することでGitHub・Google DocsといったサービスからPowerPoint・PDFなどあらゆるドキュメントを横断的に検索し、必要な情報を迅速に見つけ出すことができます。 - [Claude Code連携によるコンテキスト活用型開発](https://developer.qaip.com/docs/use-cases/claude_code.md): QAIPに取り込まれた多様なデータをMCP経由でClaude Codeに連携できます。
データに[タグ](/features/tag)を付与して整理することで、必要なコンテキストだけを参照できます。 - [Dify連携による大規模データ対応チャットボット構築](https://developer.qaip.com/docs/use-cases/dify.md): QAIPがデータを取り込み・検索し、Difyがその結果に基づいて回答を生成します。 - [Lovableを組み合わせてRAGアプリケーションを短時間で構築](https://developer.qaip.com/docs/use-cases/lovable.md): QAIPとLovableを組み合わせ、取り込み済みデータに対する自然言語検索とAI回答を備えたWebアプリケーションを短時間で構築できます。 - [Slackボットによるナレッジ共有](https://developer.qaip.com/docs/use-cases/qaip-slack-bot.md): データソースの内容をもとにQAIP AIがSlackでの質問に即時回答。組織のナレッジを簡単に共有できます。 - [MCP](https://developer.qaip.com/docs/integrations/mcp.md): Model Context Protocol (MCP) を用いて外部サービスと連携する - [LangChain](https://developer.qaip.com/docs/integrations/langchain.md): QAIPのデータを検索してLangChainと組み合わせる - [GPTs](https://developer.qaip.com/docs/integrations/gpts.md): QAIPの検索APIを活用してOpenAIのGPTsからあらゆるデータソースを検索し、目的の情報を取得できます。取得した情報を元に回答を生成することで、より正確な情報提供が可能になります。さらにChatGPT Business・Enterpriseでは取り込んだデータをGPTsを通じて会社やチームの他のユーザーと共有できます。 - [n8n](https://developer.qaip.com/docs/integrations/n8n.md): n8nのワークフローからQAIPのデータソースを活用して回答生成・情報抽出・検索を行うことができます。 - [価格](https://developer.qaip.com/docs/support/pricing.md): QAIPの価格についての詳細 - [FAQ](https://developer.qaip.com/docs/support/faq.md): QAIPに関するよくある質問 - [SDK イントロダクション](https://developer.qaip.com/docs/sdks/index.md): QAIPはPython SDKを提供しています。SDKを利用することで、簡単にQAIPの機能をアプリケーションに組み込むことができます。 - [Generate LLM completion](https://developer.qaip.com/docs/api-reference/completions/generate-llm-completion.md):

Generates a completion based on the input messages and retrieval chunks. If the 'stream' parameter is set to true, the response is streamed. By default the stream is plain text (text/plain). Send the request header 'Accept: text/event-stream' to instead receive a Server-Sent Events (SSE) stream… - [Get content](https://developer.qaip.com/docs/api-reference/content/get-content.md):

Get through indexed content.

Required scope: `knowledge:read`

- [Search content](https://developer.qaip.com/docs/api-reference/search/search-content.md):

Searches through indexed content using query.

Required scope: `knowledge:read`

- [Data extraction](https://developer.qaip.com/docs/api-reference/extract/data-extraction.md):

Performs data extraction using LLM based on the specified data source, filter conditions, and JSON schema. Retrieves chunked data and uses the schema to extract and return the result as JSON via LLM.

Required scope: `knowledge:read`

- [List tags](https://developer.qaip.com/docs/api-reference/tags/list-tags.md):

Returns the list of tags.

Required scope: `knowledge:read`

- [Create tag source group](https://developer.qaip.com/docs/api-reference/tag-source-groups/create-tag-source-group.md):

Creates a new tag source group association. A source group is a collection of files ingested by a single job.

Required scope: `knowledge:write`

- [Delete tag source group](https://developer.qaip.com/docs/api-reference/tag-source-groups/delete-tag-source-group.md):

Deletes a tag source group association.

Required scope: `knowledge:write`

- [List sources](https://developer.qaip.com/docs/api-reference/sources/list-sources.md):

Lists sources that have metadata records. Currently only local_file sources are returned by this endpoint. Crawl source IDs appear in search results and can be used with GET /sources/{source_id}/raw instead.

Required scope: `knowledge:read`

- [Get source details](https://developer.qaip.com/docs/api-reference/sources/get-source-details.md):

Gets detailed information about a specific source. This endpoint currently supports local_file source IDs. Crawl source IDs returned by /search or GET /contents/{id} are separate IDs and are not accepted here; use GET /sources/{source_id}/raw to download the stored crawl file content.

R… - [Download crawl source raw file](https://developer.qaip.com/docs/api-reference/sources/download-crawl-source-raw-file.md):

Downloads the file content stored from crawl. Only crawl source IDs returned as content.source_id from /search, GET /contents/{id}, or POST /completions citations are valid. Local file source IDs accepted by GET /sources/{source_id} return 404 here.

The endpoint checks tenant ownership… - [Get source metadata](https://developer.qaip.com/docs/api-reference/sources/get-source-metadata.md):

Gets metadata for a specific local_file source. Crawl source IDs returned by search results are separate IDs and are not accepted here; use GET /sources/{source_id}/raw for stored crawl file content.

Required scope: `knowledge:read`

- [Set source metadata](https://developer.qaip.com/docs/api-reference/sources/set-source-metadata.md):

Updates metadata for a specific source. Merges with existing metadata by key. Send val: null to delete a key.

Required scope: `knowledge:write`

- [Delete source metadata](https://developer.qaip.com/docs/api-reference/sources/delete-source-metadata.md):

Deletes metadata for a specific source.

Required scope: `knowledge:write`

- [Batch set source metadata](https://developer.qaip.com/docs/api-reference/sources/batch-set-source-metadata.md):

Updates metadata for multiple sources in a single request. Merges with existing metadata by key. Send val: null to delete a key. Maximum 50 items per request.

Required scope: `knowledge:write`

- [List local file groups](https://developer.qaip.com/docs/api-reference/local-file-groups/list-local-file-groups.md):

Lists local file groups with cursor-based pagination.

Required scope: `ingestion:manage`

- [Create local file group](https://developer.qaip.com/docs/api-reference/local-file-groups/create-local-file-group.md):

Creates a new local file group by uploading files directly via multipart form data.

The total request body size must not exceed 500 MB.

Required scope: `ingestion:manage`

- [Get local file group](https://developer.qaip.com/docs/api-reference/local-file-groups/get-local-file-group.md):

Returns a single local file group by ID.

Required scope: `ingestion:manage`

- [Start deletion of local file group](https://developer.qaip.com/docs/api-reference/local-file-groups/start-deletion-of-local-file-group.md):

Initiates an asynchronous deletion job for the specified local file group. The response indicates that the deletion job has been accepted, not that the deletion is complete.

Required scope: `ingestion:manage`

- [List Google Drive data sources](https://developer.qaip.com/docs/api-reference/google-drives/list-google-drive-data-sources.md):

Lists Google Drive data sources with cursor-based pagination.

Required scope: `ingestion:manage`

- [Create a Google Drive data source](https://developer.qaip.com/docs/api-reference/google-drives/create-a-google-drive-data-source.md):

Creates a new Google Drive data source and starts ingestion.

Required scope: `ingestion:manage`

- [Get Google Drive data source details](https://developer.qaip.com/docs/api-reference/google-drives/get-google-drive-data-source-details.md):

Gets detailed information about a specific Google Drive data source.

Required scope: `ingestion:manage`

- [Start deletion of Google Drive data source](https://developer.qaip.com/docs/api-reference/google-drives/start-deletion-of-google-drive-data-source.md):

Initiates an asynchronous deletion job for the specified Google Drive data source. The response indicates that the deletion job has been accepted, not that the deletion is complete.

Required scope: `ingestion:manage`

- [Get Google Drive setting](https://developer.qaip.com/docs/api-reference/google-drive-settings/get-google-drive-setting.md):

Gets the setting (schedule, folder URL, etc.) for Google Drive data sources.

Required scope: `ingestion:manage`

- [Update Google Drive setting](https://developer.qaip.com/docs/api-reference/google-drive-settings/update-google-drive-setting.md):

Updates the setting (name, schedule) for Google Drive data sources.

Required scope: `ingestion:manage`

- [List web crawl data sources](https://developer.qaip.com/docs/api-reference/crawls/list-web-crawl-data-sources.md):

Lists web crawl data sources with cursor-based pagination.

Required scope: `ingestion:manage`

- [Create a web crawl data source](https://developer.qaip.com/docs/api-reference/crawls/create-a-web-crawl-data-source.md):

Creates a new web crawl data source and starts ingestion.

Required scope: `ingestion:manage`

- [Get web crawl data source details](https://developer.qaip.com/docs/api-reference/crawls/get-web-crawl-data-source-details.md):

Gets detailed information about a specific web crawl data source.

Required scope: `ingestion:manage`

- [Start deletion of web crawl data source](https://developer.qaip.com/docs/api-reference/crawls/start-deletion-of-web-crawl-data-source.md):

Initiates an asynchronous deletion job for the specified web crawl data source. The response indicates that the deletion job has been accepted, not that the deletion is complete.

Required scope: `ingestion:manage`

- [Get web crawl setting](https://developer.qaip.com/docs/api-reference/crawl-settings/get-web-crawl-setting.md):

Gets the setting (schedule, URL, etc.) for web crawl data sources.

Required scope: `ingestion:manage`

- [Update web crawl setting](https://developer.qaip.com/docs/api-reference/crawl-settings/update-web-crawl-setting.md):

Updates the setting (name, schedule) for web crawl data sources.

Required scope: `ingestion:manage`

- [List GitHub data sources](https://developer.qaip.com/docs/api-reference/githubs/list-github-data-sources.md):

Lists GitHub data sources with cursor-based pagination.

Required scope: `ingestion:manage`

- [Create a GitHub data source](https://developer.qaip.com/docs/api-reference/githubs/create-a-github-data-source.md):

Creates a new GitHub data source and starts ingestion.

Required scope: `ingestion:manage`

- [Get GitHub data source details](https://developer.qaip.com/docs/api-reference/githubs/get-github-data-source-details.md):

Gets detailed information about a specific GitHub data source.

Required scope: `ingestion:manage`

- [Start deletion of GitHub data source](https://developer.qaip.com/docs/api-reference/githubs/start-deletion-of-github-data-source.md):

Initiates an asynchronous deletion job for the specified GitHub data source. The response indicates that the deletion job has been accepted, not that the deletion is complete.

Required scope: `ingestion:manage`

- [Get GitHub setting](https://developer.qaip.com/docs/api-reference/github-settings/get-github-setting.md):

Gets the setting (schedule, repository, etc.) for GitHub data sources.

Required scope: `ingestion:manage`

- [Update GitHub setting](https://developer.qaip.com/docs/api-reference/github-settings/update-github-setting.md):

Updates the setting (name, schedule) for GitHub data sources.

Required scope: `ingestion:manage`

- [List Notion data sources](https://developer.qaip.com/docs/api-reference/notions/list-notion-data-sources.md):

Lists Notion data sources with cursor-based pagination.

Required scope: `ingestion:manage`

- [Create a Notion data source](https://developer.qaip.com/docs/api-reference/notions/create-a-notion-data-source.md):

Creates a new Notion data source and starts ingestion.

Required scope: `ingestion:manage`

- [Get Notion data source details](https://developer.qaip.com/docs/api-reference/notions/get-notion-data-source-details.md):

Gets detailed information about a specific Notion data source.

Required scope: `ingestion:manage`

- [Start deletion of Notion data source](https://developer.qaip.com/docs/api-reference/notions/start-deletion-of-notion-data-source.md):

Initiates an asynchronous deletion job for the specified Notion data source. The response indicates that the deletion job has been accepted, not that the deletion is complete.

Required scope: `ingestion:manage`

- [Get Notion setting](https://developer.qaip.com/docs/api-reference/notion-settings/get-notion-setting.md):

Gets the setting (schedule, page ID, etc.) for Notion data sources.

Required scope: `ingestion:manage`

- [Update Notion setting](https://developer.qaip.com/docs/api-reference/notion-settings/update-notion-setting.md):

Updates the setting (name, schedule) for Notion data sources.

Required scope: `ingestion:manage`

- [List secrets](https://developer.qaip.com/docs/api-reference/secrets/list-secrets.md):

Lists secrets with cursor-based pagination.

Required scope: `secrets:read`

- [Create a secret](https://developer.qaip.com/docs/api-reference/secrets/create-a-secret.md):

Creates a new secret.

Required scope: `secrets:write`

- [Get secret details](https://developer.qaip.com/docs/api-reference/secrets/get-secret-details.md):

Gets detailed information about a specific secret. The secret value is not returned.

Required scope: `secrets:read`

- [Update a secret](https://developer.qaip.com/docs/api-reference/secrets/update-a-secret.md):

Updates an existing secret.

Required scope: `secrets:write`

- [Delete a secret](https://developer.qaip.com/docs/api-reference/secrets/delete-a-secret.md):

Deletes an existing secret and its associated schedules.

Required scope: `secrets:write`

- [プロダクトの更新情報](https://developer.qaip.com/docs/release-notes.md): プロダクトの機能追加や改善についての履歴を確認できます。 ## OpenAPI Specs - [openapi.documented](https://app.stainless.com/api/spec/documented/qaip/openapi.documented.yml) ## Optional - [Qiita](https://qiita.com/tags/qaip) - [Discord](https://discord.gg/2MdxWtYRue)